## org.apache.poi.xwpf.usermodel
Class XWPFHeader

    java.lang.Object
      org.apache.poi.POIXMLDocumentPart
          org.apache.poi.xwpf.usermodel.XWPFHeaderFooter
              org.apache.poi.xwpf.usermodel.XWPFHeader

All Implemented Interfaces:
  IBody

    public class XWPFHeader

extends XWPFHeaderFooter

Sketch of XWPF header class

Field Summary

Fields inherited from class org.apache.poi.POIXMLDocumentPart
`DEFAULT_XML_OPTIONS`

Constructor Summary
`XWPFHeader()`
`XWPFHeader(POIXMLDocumentPart parent, PackagePart part, PackageRelationship rel)`
`XWPFHeader(XWPFDocument doc, org.openxmlformats.schemas.wordprocessingml.x2006.main.CTHdrFtr hdrFtr)`

Method Summary
`protected void` `commit()` save and commit footer
`BodyType` `getPartType()` get the PartType of the body
`protected void` `onDocumentRead()` reads the document

Methods inherited from class org.apache.poi.xwpf.usermodel.XWPFHeaderFooter
`_getHdrFtr, addPictureData, addPictureData, getAllPackagePictures, getAllPictures, getBodyElements, getListParagraph, getOwner, getParagraph, getParagraphArray, getParagraphs, getPart, getPictureDataByID, getTable, getTableArray, getTableCell, getTables, getText, getXWPFDocument, insertNewParagraph, insertNewTbl, insertTable, readHdrFtr, setHeaderFooter, setXWPFDocument`

Methods inherited from class org.apache.poi.POIXMLDocumentPart
`addRelation, createRelationship, createRelationship, createRelationship, getPackagePart, getPackageRelationship, getParent, getRelationById, getRelationId, getRelations, getTargetPart, onDocumentCreate, onDocumentRemove, onSave, read, rebase, removeRelation, removeRelation, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XWPFHeader

    public XWPFHeader()

### XWPFHeader

    public XWPFHeader(POIXMLDocumentPart parent,
                      PackagePart part,
                      PackageRelationship rel)
               throws java.io.IOException

Throws:
  `java.io.IOException`

### XWPFHeader

    public XWPFHeader(XWPFDocument doc,
                      org.openxmlformats.schemas.wordprocessingml.x2006.main.CTHdrFtr hdrFtr)

Method Detail

### commit

    protected void commit()
                   throws java.io.IOException

  save and commit footer

  Overrides:
    `commit` in class `POIXMLDocumentPart`
  Throws:
    `java.io.IOException`

### onDocumentRead

    protected void onDocumentRead()
                           throws java.io.IOException

  reads the document

  Overrides:
    `onDocumentRead` in class `XWPFHeaderFooter`
  Throws:
    `java.io.IOException`

### getPartType

    public BodyType getPartType()

  get the PartType of the body

  Returns:
    the PartType of the body
  See Also:
    `IBody.getPartType()`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.